| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.MultiZonesExtraInfo Class Reference

Additional information to visibility segments computed for multiple zones. More...

Inheritance diagram for EECFI.MultiZonesExtraInfo:

List of all members.

## Public Member Functions
| MultiZonesExtraInfo ()
| Empty Class constructor.
| MultiZonesExtraInfo (long numZon, long[] zonInSeg, long[] multiCov)
| Parameter class constructor.
| MultiZonesExtraInfo (long numZon, long[] multiCov, String[] zoneNames)
| Parameter class constructor.
| MultiZonesExtraInfo (MultiZonesExtraInfo info)
| Copy constructor.
## Public Attributes
long | numberOfZones
| Number of zones where the segment has visibility (dummy if extraInfoFlag == false).
long[] | zonesInSegment
| Index of the zoneId input array where the segment has visibility (dummy if extraInfoFlag == false).
long[] | multiCoverage
| Coverage of the segment in each of the zones (dummy if extraInfoFlag == false).
String[] | zoneNamesInSegment
| Name of the zone where the segment has visibility (not dummy only if computation is done with Swath.zoneVisTimeCompute).

## Detailed Description

Additional information to visibility segments computed for multiple zones.

## Constructor & Destructor Documentation

EECFI.MultiZonesExtraInfo.MultiZonesExtraInfo | ( |  | ) |

Empty Class constructor.

EECFI.MultiZonesExtraInfo.MultiZonesExtraInfo | ( | long | numZon,
|  | long[] | zonInSeg,
|  | long[] | multiCov |
| ) |  |  |

Parameter class constructor.

EECFI.MultiZonesExtraInfo.MultiZonesExtraInfo | ( | long | numZon,
|  | long[] | multiCov,
|  | String[] | zoneNames |
| ) |  |  |

Parameter class constructor.

EECFI.MultiZonesExtraInfo.MultiZonesExtraInfo | ( | MultiZonesExtraInfo | info | ) |

Copy constructor.

## Member Data Documentation

long [] EECFI.MultiZonesExtraInfo.multiCoverage

Coverage of the segment in each of the zones (dummy if extraInfoFlag == false).

long EECFI.MultiZonesExtraInfo.numberOfZones

Number of zones where the segment has visibility (dummy if extraInfoFlag == false).

String [] EECFI.MultiZonesExtraInfo.zoneNamesInSegment

Name of the zone where the segment has visibility (not dummy only if computation is done with Swath.zoneVisTimeCompute).

long [] EECFI.MultiZonesExtraInfo.zonesInSegment

Index of the zoneId input array where the segment has visibility (dummy if extraInfoFlag == false).